Positions & Queries
List Positions
List all borrowing positions for a lending market
GET
/
lending-stocks
/
api
/
positions
/
{marketId}
/
positions
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positions": [
{
"id": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"collateralAmount": "100.0",
"borrowedAmount": "5000.0",
"interestAccrued": "12.50",
"healthFactor": "2.45",
"liquidated": false,
"openedAt": "2025-06-10T08:00:00.000Z"
}
]
}
}
Returns all positions (loans) recorded for the specified market, ordered newest first.
Path Parameters
string
required
Market ID.
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positions": [
{
"id": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"collateralAmount": "100.0",
"borrowedAmount": "5000.0",
"interestAccrued": "12.50",
"healthFactor": "2.45",
"liquidated": false,
"openedAt": "2025-06-10T08:00:00.000Z"
}
]
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positions": [
{
"id": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"collateralAmount": "100.0",
"borrowedAmount": "5000.0",
"interestAccrued": "12.50",
"healthFactor": "2.45",
"liquidated": false,
"openedAt": "2025-06-10T08:00:00.000Z"
}
]
}
}
